## software-center 5.2

=== debian/changelog ===
software-center (5.2) precise; urgency=low

  [ Michael Vogt ]
  * debian/control:
    - recommend xz-lmza instead of lzma (LP: #878354)
  * lp:~mvo/software-center/track-axi-changes:
    - add a monitor for changes in the apt-xapian-index to ensure
      the DB is reopened if the cron job changes the apt-xapian-index
      database (LP: #507836)
  * lp:~mvo/software-center/lp970342:
    - do not crash if the parent goes away (and therefore the pipe)
      and the token can not be obtained (LP: #970342)
  * lp:~mvo/software-center/lp967036:
    - fix UnicodeDecodeError crash for apps with hardware
      requirements in the details view (LP: #967036)
  * lp:~mvo/software-center/list-a11y:
    - restore the a11y support for orca/accerciser/ldtp for
      the listview and treeview
  * lp:~mvo/software-center/lp979013:
    - fix a bug in the review display for certain language
      environments (LP: #979013)
  * lp:~mvo/software-center/appview-tweaks:
    - code cleanup in the sortmode code
  * lp:~mvo/software-center/lp772549:
    - fix a bug that can result in a blank software center
      screen on startup (LP: #772549)
  * lp:~mvo/software-center/lp914393:
    - adds an explicit sys.exit() to ensure all gtk event
      processing is stopped on application quit (LP: #914393)
  * lp:~mvo/software-center/lp976169:
    - do not crash if apt-xapian-index is not installed
      (LP: #976337)
    - ignore xapian.DatabaseOpeningError here (happens when
      there is no a-x-i so we don't care) (LP: #976169)
  * lp:~mvo/software-center/lp976525:
    - do not show "upgradable" button when there should be "remove"
      (LP: #976525)

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/sorting-fix-lp969215:
    - fix sort combo box inconsistencies (LP: #969215)

  [ Dave Morley ]
  * lp:~davmor2/software-center/remove_two_lines:
    - small fixes for test script USC-start-stop-times.py

  [ Kiwinote ]
  * sc/ui/gtk3/widgets/apptreeview.py:
    - everyone tries to expand a category in the installed pane by clicking
      on the text rather than the expander arrow (LP: #877130)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Apr 2012 18:35:13 +0200

software-center (5.1.14.2) precise; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/config-tweak:
    - cleanup concerning always having a 'general' section in the cfg file
  * lp:~mvo/software-center/pygi-properties-fixes:
    - properly initialize the properties in CellRendererAppView as required
      for pygi, fixes crash on network events (LP: #965937)
  * lp:~mvo/software-center/lp977889:
    - fix the disappearing list view sort combobox (LP: #977889)

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/recommends-more-button-lp971567:
    - correctly render 'more' button in recommendations panel (LP: #971567)
  * lp:~gary-lasker/software-center/show-technical-items-lp955030:
    - make 'show n technical items' appear clickable again (LP: #955030)
  * lp:~gary-lasker/software-center/fix-crash-lp969737:
    - fix an intermittent crash that can occur when saving the vertical 
      position of the installed pane treeview on a cache refresh 
      (LP: #969737)
  * lp:~gary-lasker/software-center/fix-crash-lp970157:
    - Small fix for a crash that can happen during the installed view 
      treeview initialization (LP: #970157)
  * lp:~gary-lasker/software-center/fix-crash-lp968988:
    - Fix crash bug LP: #968988 by making sure that there is always
      a tree_view.selected_row_renderer 
  * lp:~gary-lasker/software-center/remember-sort-preference-lp966878:
    - Fix for bug LP: #966878 to not reset the user's sorting preference 
      if they have set one

  [ Nekhelesh Ramananthan ]
  * lp:~nik90/software-center/add_keywords_new:
    - added keywords to the desktop file for better search criteria
      (LP: #977175)
  
  [ Sebastian Heinlein ]
  * lp:~glatzor/software-center/fix-977020:
    - fix software-center error dialogs for errors other than 
      ERROR_INVALID_PACKAGE_FILE and ERROR_UNAUTHENTICATED_PACKAGE 
      (LP: #977020)
    - Allow to repair an incomplete installation (partially fixes 
      LP: #659438)
  
  [ Kiwinote ]
  * lp:~kiwinote/software-center/lp951557:
    - don't duplicate text on paste (LP: #951557)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Apr 2012 19:21:21 +0200

software-center (5.1.14.1) precise; urgency=low

  * lp:~gary-lasker/software-center/recommender-profile-uploads-lp944693:
    - upload new recommender_profile if needed (LP: #944693)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 02 Apr 2012 19:12:25 +0200

software-center (5.1.14) precise; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/lp962580:
    - add locking to the expunge helper process to fix bugs that are triggered
      if multiple expunge cache processes are run (LP: #962580)
  * lp:~mvo/software-center/cache-refresh-glitch:
    - ensure that we get a full refresh if a pkg was not available before
      show_app is called
  * lp:~mvo/software-center/lp940482:
    - fix crash if the debfile does not return proper utf8 for the
      description (LP: #940482)
  * lp:~mvo/software-center/lp966514:
    - properly handle network disconnect conditions with the Ubuntu
      SSO dialog (LP: #966514)
  * lp:~mvo/software-center/lp966879:
    - fix for crashes in the installed view treeview (LP: #966879,
      LP: #950899)
  * lp:~mvo/software-center/lp846204:
    - fix ValueError crashes in get_iter due to invalid tree paths
      (LP: #846204)
  * lp:~mvo/software-center/lp964433:
    - disconnect the model from the view before calling set_from_matches
      (LP: #964433)
  * lp:~mvo/software-center/treeview-keep-state-on-db-cache-change:
   - restore the state of the installed view treeview when the
     the db or cache changes, such as on an app install or remove
  * lp:~mvo/software-center/946393:
   - fix installing multiple apps when in a custom list view (LP: #946393)


=== debian/control ===
Source: software-center
Section: gnome
Priority: optional
Maintainer: Michael Vogt <mvo@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50),
               dpkg-dev (>= 1.15.1~),
               lsb-release,
               gettext,
               intltool,
               po4a,
               python,
               python-distutils-extra,
               python-setuptools,
               python-scour
Standards-Version: 3.8.4
X-Python-Version: >= 2.7
Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/trunk
Homepage: https://launchpad.net/software-center

Package: software-center
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         iso-codes,
         app-install-data (>= 0.4.0),
         aptdaemon (>= 0.40),
         software-center-aptdaemon-plugins,
         humanity-icon-theme|gnome-icon-theme,
         gir1.2-glib-2.0 (>= 1.31),
         gir1.2-gtk-3.0,
         gir1.2-gmenu-3.0 (>= 3.1.5),
         gir1.2-webkit-3.0,
         python-gi,
         python-gi-cairo,
         python-xapian,
         python-apt (>= 0.8.3ubuntu4),
         python-aptdaemon (>= 0.40),
         python-aptdaemon.gtk3widgets,
         python-dbus,
         python-defer,
         policykit-1,
         policykit-1-gnome | policykit-1-kde,
         python-xdg,
         ubuntu-sso-client (>= 0.99.6),
         python-piston-mini-client (>= 0.1+bzr29),
         oneconf (>= 0.2.6),
         python-debtagshw,
         ubuntu-extras-keyring
Recommends: lsb-release, 
            gir1.2-launchpad-integration-3.0, 
            apt-xapian-index (>= 0.38ubuntu1), 
            update-notifier, 
            software-properties-gtk,
            sessioninstaller, 
            xz-lzma
Conflicts: gnome-app-install (<< 1), oneconf (<< 0.2.6.1)
Replaces: gnome-app-install
Provides: gnome-app-install
Description: Utility for browsing, installing, and removing software
 Ubuntu Software Center lets you browse and install thousands of 
 free and paid applications available for Ubuntu. You can view available 
 software by category, or search quickly by name or description. 
 You can also examine the software already installed, and remove items
 you no longer need.
 .
 To install or remove software using USC, you need administrator access
 on the computer.

## software-center 5.2.7

=== test/Makefile ===
#!/usr/bin/make

all: check #mago_test

check:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	xvfb-run ./test-all.sh
endif

clean:
	find  ../data/xapian/ ./data/aptroot/var/lib/apt/lists/ \
	 ./data/aptroot/var/cache/apt/ ./data/test.db/ -type f | xargs rm -f
	rm -f .coverage*
	rm -rf coverage_html


# mago tests
mago_test:
	# -sv makes mago not buffer output
	PYTHONPATH=.. mago -sv mago/mago_simple.py

=== debian/changelog ===
software-center (5.2.7) precise-proposed; urgency=low

  * lp:~mvo/software-center/oem-descriptor-in-user-agent-5.2:
    - include the oem-channel descriptor in the custom user agent
      string (LP: #1042749)
  * lp:~mvo/software-center/auto-fill-email-for-login:
    - allow auto-fill of the email in login.ubuntu.com if
      we have it (LP: #1042279)
  * lp:~mvo/software-center/fix-memleak-5.2:
    - fix two memory leaks when the cache is re-opened after
      a package has been installed/removed (LP: #1003466)
  * lp:~mvo/software-center/region-whitelist-5.2:
    - fix missing region whitelist support that is used by
      the software-center-agent (LP: #1006570)
  * lp:~mvo/software-center/downloader-fix-race839462-again-5.2:
    - fix a race condition in the SimpleFileDownloader when the file
      is downloaded but the signal did not get delivered yet by the
      gtk event loop (LP: #1055441)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 26 Sep 2012 09:39:43 +0200

software-center (5.2.6) precise-proposed; urgency=low

  * lp:~mvo/software-center/fix-lp870847-5.2:
    - fix incorrect validation pattern in modify_review call, this
      should fix the ablity of users to modify their reviews
      (LP: #870847)
  * test/gtk3/test_catview.py:
    - skip some automatic tests are depend on host system state

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 27 Aug 2012 12:03:48 +0200

software-center (5.2.5) precise-proposed; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/fix-lp1009039:
    - fix treeview selection background (LP: #1009039)
  * lp:~mvo/software-center/fix-lp1011522:
    - fix bug where clicking on "Reinstall previous purchases" twice
      shows endless spinner (LP: #1011522)
  * lp:~mvo/software-center/click_url:
    - adds support for a "click_url" from the exhibits banner to
      support banners for things like the humble-bundle where we
      don't have packages but URLs (LP: #1020205)
  * lp:~mvo/software-center/hopefully-fix-lp1008229:
    - fix crash that can happen if there is an error while
      opening a deb file (LP: #1008229)
  * lp:~mvo/software-center/lp1026494:
    - typo fix in the hw description code (LP: #1026494)
  
  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/unity-launcher-integration-fixes:
    - fix bug where for-purchase items are not being added to the Unity
      launcher (LP: #925014)
    - fix bug where the Unity launcher item for an application incorrectly
      points to its app-install-data desktop file rather than its installed
      desktop file (LP: #999427)
    - fix bug where an application's icon remains in the Unity launcher after
      the corresponding application has been uninstalled (LP: #981488)
    - fix bug where the Unity launcher fails to auto-hide after installation
      of a for-purchase item (LP: #1002440)
    - fix bug where items in the "Independent" section are not being added
      to the Unity launcher (LP: #1012877)  
  * lp:~gary-lasker/software-center/tech-items-to-launcher-fix-lp1006483:
    - don't add an item to the launcher if its desktop file specifies
      NoDisplay=true (LP: #1006483)
  * lp:~gary-lasker/software-center/launcher-integration-unit-tests:
   - additional unit tests to round out the suite for the Unity
     launcher integration feature 
  * lp:~gary-lasker/software-center/fix-lp969907-for-5.2:
    - fix race condition in _app_activated_cb() (LP: #969907)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 23 Jul 2012 16:38:04 +0200

software-center (5.2.4) precise-proposed; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/lp970627:
    - fix intermittent crash when expunging the cache (LP: #970627)
  * lp:~mvo/software-center/lp971776:
    - fix crash when a downloaded image is invalid for whatever
      reason (network issues, proxy issues, pay-wall in between)
      (LP: #971776)
  * lp:~mvo/software-center/lp967036-2:
    - fix unicode error crash for people running with the
      LANGUAGE=zh_CN.UTF-8 or zh_TW.UTF-8 (LP: #967036)
  * lp:~mvo/software-center/cookie-jar:
    - fix paypal support in the purchases window (LP: #1018347)

  [ Gary Lasker ]
  * debian/control:
    - update vcs link to point to the 5.2 branch 
  * lp:~gary-lasker/software-center/previous-purchase-sorting-lp873104:
    - return correct results when sorting the list of previous
      purchases (LP: #873104)
  * lp:~gary-lasker/software-center/recommendations-string-change-lp986437-for-5.2:
    - switch to the updated recommendations opt-in string now that the 
      corresponding language pack updates are released and available
      (LP: #986437)
  * lp:~gary-lasker/software-center/fix-lp920741:
    - fix UnicodeDecodeError when a commercial app's title contains
      a unicode character (LP: #920741)
  
  [ Natalia Bidart ]
  * lp:~nataliabidart/software-center/cant-stop-the-music:
    - Stop the video if user navigates away from an app details page
      (LP: #1003954).

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 28 Jun 2012 10:35:55 +0200

software-center (5.2.3) precise-proposed; urgency=low

  [ Robert Roth ]
  * lp:~evfool/software-center/lp987801:
    - Only show the version label once for each version in 
      reviews (LP: #987801)
  * lp:~evfool/software-center/lp874430:
    - display tooltips for package titles in the application
      tiles of the lobby view (LP: #874430)
  * lp:~evfool/software-center/lp983831:
    - Avoid merging two words while normalizing description (LP: #983831)
  * lp:~evfool/software-center/lp822625:
    - Set default value for reviewstats histogram (LP: #822625)
  * lp:~evfool/software-center/lp875874:
    - Set word wrap with fallback to char wrapping for the review
      text label (LP: #875874)

  [ Gabor Kelemen ]
  * lp:~kelemeng/software-center/bug1001746:
    - merge i18n fix (LP: #1001746)
  
  [ Michael Vogt ]
  * lp:~mvo/software-center/lp872760-for-5.2:
    - fix translations for certain category names (LP: #872760)


=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python-scour
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.7
-Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/trunk
+Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/5.2
 Homepage: https://launchpad.net/software-center
 
 Package: software-center
@@ -25,7 +25,7 @@
          app-install-data (>= 0.4.0),
          aptdaemon (>= 0.40),
          software-center-aptdaemon-plugins,
-         humanity-icon-theme|gnome-icon-theme,
+         humanity-icon-theme,
          gir1.2-glib-2.0 (>= 1.31),
          gir1.2-gtk-3.0,
          gir1.2-gmenu-3.0 (>= 3.1.5),
@@ -41,7 +41,7 @@
          policykit-1,
          policykit-1-gnome | policykit-1-kde,
          python-xdg,
-         ubuntu-sso-client (>= 0.99.6),
+         ubuntu-sso-client-gtk,
          python-piston-mini-client (>= 0.1+bzr29),
          oneconf (>= 0.2.6),
          python-debtagshw,

=== debian/rules ===
#!/usr/bin/make -f
share:=usr/share/software-center

%:
	dh $@ --with=python2,scour

# Install the modules in a private directory, as our applications are the
# only ones using them.
override_dh_auto_install:
	dh_auto_install -- --install-lib /usr/share/software-center
	rm -r debian/software-center/usr/share/software-center/*.egg-info
	# Move the scripts to $(SHARE) and relink them again later.
	mv debian/software-center/usr/*bin/* debian/software-center/$(share)
	rmdir debian/software-center/usr/*bin


override_dh_install:
	dh_install --fail-missing

	dh_installmime -i

	dh_link $(share)/software-center usr/bin/software-center \
	        $(share)/update-software-center usr/sbin/update-software-center

	# Drop Ubuntu stuff if not on Ubuntu
	# TODO: We should do this on the 'upstream' level, e.g. in setup.py.
	set -e; if ! dpkg-vendor --derives-from Ubuntu; then \
		cd debian/software-center; \
		cd usr/share/applications; \
		mv ubuntu-software-center.desktop software-center.desktop; \
		cd ../icons/; \
		rm hicolor/*/apps/softwarecenter.*; \
		for size in 16x16 24x24 32x32; do \
			ln -sf ../../../gnome/$$size/apps/system-software-install.png \
			       hicolor/$$size/apps/softwarecenter.png; \
		done; \
		ln -sf ../../../gnome/scalable/apps/system-software-install.svg \
		       hicolor/scalable/apps/softwarecenter.svg; \
	fi;

	# Remove empty directories.
	find debian/*/usr -type d -empty -delete

.PHONY: override_dh_auto_install

## software-center 5.2.9

=== debian/changelog ===
software-center (5.2.9) precise-proposed; urgency=low

  [ Brian Murray ]
  * software-center/paths.py:
    - modify the OEM_CHANNEL_DESCRIPTOR path (LP: #1095823)

 -- Brian Murray <brian@ubuntu.com>  Mon, 28 Jan 2013 09:14:24 -0800

software-center (5.2.8) precise-proposed; urgency=low

  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/handle-trans-cancel-lp1027209-for-5.2:
    - backport of the transaction cancellation fix for bug LP: #1027209.
  
  [ Michael Vogt ]
  * lp:~mvo/software-center/robustness-lp1054070
    - cherry pick fix for corruption fix LP: #1054070

 -- Iain Lane <iain.lane@canonical.com>  Wed, 16 Jan 2013 18:25:47 +0000

## software-center 5.2.10

=== debian/changelog ===
software-center (5.2.10) precise; urgency=low

  * debian/patches/local.patch:
    - Cannot install deb files without network connection (lp: #926763)

 -- Ritesh Khadgaray <ritesh@canonical.com>  Fri, 15 Nov 2013 14:26:56 -0800

## software-center 5.2.10.1

=== debian/changelog ===
software-center (5.2.10.1) precise; urgency=high

  * Updated with LliureX Hack
  * Thanks to @cless

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Thu, 04 Jul 2013 12:02:07 +0200

## software-center 5.4.1.2

=== debian/changelog ===
software-center (5.4.1.2) quantal-proposed; urgency=low

  * data/ui/gtk3/css/softwarecenter.css:
    - drop "text-shadow" from the CSS as its causing a memory
      leak (LP: #1058523)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Oct 2012 18:07:08 +0200

software-center (5.4.1.1) quantal-proposed; urgency=low

  * lp:~mvo/software-center/reinstall-previous-purchase-token-fix:
    - fix reinstall previous purchases that have a system-wide
      license key LP: #1065481
  * lp:~mvo/software-center/lp1060106:
    - Add missing gettext init for utils/update-software-center-agent
      (LP: #1060106)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Oct 2012 15:33:05 +0200

software-center (5.4.1) quantal; urgency=low

  * lp:~mvo/software-center/lp1043752:
    - Fix crash when using a unicode path to open deb file (LP: #1043752)
  * lp:~mvo/software-center/lp1063595:
    - add missing "trans" initializations (LP: #1063595)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Oct 2012 09:12:43 +0200

software-center (5.4) quantal; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/lp1044141:
    - fix unicode error crash on a transaction error
      (LP: #1044141)
  * lp:~mvo/software-center/fix-size-calc-race:
    - fix crash due to a race in the size calculation code
      in the details view (LP: #1041004)
  * lp:~mvo/software-center/fix-crash-1048886:
    - No longer call GLib.init_threads() as this will cause
      LP: #1048886 later. Many thanks to Albert Astals Cid
  * lp:~mvo/software-center/dbus-idle-timeout:
    - stop the dbus data provider after 5min of inactivity 
      (LP: #1058567)
  * lp:~mvo/software-center/lp1051829:
    - Do not report deb packages with lintian errors via the
      recoverable errors mechanism. This removes 97 out of 104
      instances of my sample of the recoverable error report
      for LP: #1051829. Other types of failures will still be
      reported as recoverable failures though (as we do want
      to know about them).
  
  [ Gary Lakser ]
  * lp:~gary-lasker/software-center/lp1041004:
    - ensure that app_details is valid before using it (LP: #1041004)
  * lp:~gary-lasker/software-center/fix-crash-lp1021308:
    - send synthetic "style-updated" signals to ensure that the signal
      handlers are called on themes that do not send this signal (like
      oxygen-gtk3). This fixes a crash and broken drawing LP: #1021308
  
  [ Nicolas Delvaux ]
  * lp:~malizor/software-center/fix-lp1050036:
    - fix crash in get_label() (LP: #1050036) and drop the i18n for the
      yes/no symbols that were not translated in any language (as a result
      test_regression_lp1047281.py can also be dropped)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Oct 2012 10:58:20 +0200

software-center (5.3.14.3) quantal; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/downloader-fix-race839462-again:
    - fix a race condition in the SimpleFileDownloader when the file
      is downloaded but the signal did not get delivered yet by the
      gtk event loop (LP: #1055441)
  * lp:~mvo/software-center/thumbnail-test-fixes:
    - fix the get_test_screenshot_thumbnail_window() function and
      ensure that its properly used in the automatic test
  * lp:~mvo/software-center/support-multiple-exhibit-images:
    - add support for multiple images in the exhibit banners
      (LP: #920542)
  * lp:~mvo/software-center/robustness-lp1054070:
    - extends the recovery mechanism for corrupted berkeley
      DB files to MemoryErrors as well to catch LP: #1054070
  * lp:~mvo/software-center/whats-new-lp1044033:
    - ensure that there is a fallback xapian value that can be
      used if the apt-xapian-index has not been created
      (LP: #1044033)
  * lp:~mvo/software-center/exact-match-duplication-lp891613:
    - fix the duplication of packages during a search if there
      is an exact pkgname match in the apt-xapian-index and
      also in the software-center-agent (LP: #891613)
  * lp:~mvo/software-center/lp1047494:
    - fix AttributeError crash in _on_reviews_ready_callback()
      (LP: #1047494)
  * lp:~mvo/software-center/de-duplication-multiple-pkgnames-lp1043159:
    - fix duplication for multiple package lists (LP: #1043159)

  [ Stéphane Graber ]
  * lp:~stgraber/software-center/fix-weblive-isinstance:
    - sync weblive_pristine.py to the latest upstream version,
      this includes porting to be pep8 and python 3 ready and
      restores correct weblive operation
  
  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/de-duplication-multiple-pkgnames-lp1043159-tweak
    - pass DB to the recommendations categories

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Oct 2012 10:02:51 +0200

software-center (5.3.14.2) quantal; urgency=low

  * lp:~mvo/software-center/path-cleansweep:
    - cleanup branch to eliminate the passing
      around of datadir/desktopdir or xapian dir
  * lp:~mvo/software-center/lobby-visual-mvo-workaround-lp1048912:
    - workaround for visual corruption that is occuring
      on startup when recommendations are enabled
      (LP: #1048912)
  * lp:~mvo/software-center/fix-dataprovider-dbus-tests:
    - isolate the dbus test for the dataprovider from the
      session bus
  * lp:~mvo/software-center/py3-compat-for-license-keyhelper:
    - move the get_install_backend() import out of
      softwarecenter/backend/__init__.py and update the
      rest of the tree to follow that

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 20 Sep 2012 08:39:51 +0200

software-center (5.3.14.1) quantal; urgency=low

  * fix missing softwarecenter.backend.login_impl

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Sep 2012 17:32:23 +0200

software-center (5.3.14) quantal; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/trivial-renaming,
    lp:~mvo/software-center/trivial-rename2:
    - drop the Gtk suffix from two more classes and rename
      catview_gtk.py to catview and split out lobbyview


=== debian/control ===
--- 
+++ 
@@ -14,8 +14,9 @@
                python-scour
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.7
-Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/5.2
+Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/trunk
 Homepage: https://launchpad.net/software-center
+XS-Testsuite: autopkgtest
 
 Package: software-center
 Architecture: all
@@ -38,21 +39,21 @@
          python-aptdaemon.gtk3widgets,
          python-dbus,
          python-defer,
+         python-lxml,
          policykit-1,
          policykit-1-gnome | policykit-1-kde,
          python-xdg,
-         ubuntu-sso-client-gtk,
+         ubuntu-sso-client,
          python-piston-mini-client (>= 0.1+bzr29),
          oneconf (>= 0.2.6),
          python-debtagshw,
          ubuntu-extras-keyring
 Recommends: lsb-release, 
-            gir1.2-launchpad-integration-3.0, 
             apt-xapian-index (>= 0.38ubuntu1), 
             update-notifier, 
             software-properties-gtk,
             sessioninstaller, 
-            xz-lzma
+            xz-utils (>= 5.1.1alpha+20120614-1)
 Conflicts: gnome-app-install (<< 1), oneconf (<< 0.2.6.1)
 Replaces: gnome-app-install
 Provides: gnome-app-install

## software-center 5.4.1.4

=== debian/changelog ===
software-center (5.4.1.4) quantal-proposed; urgency=low

  [ Brian Murray ]
  * software-center/paths.py:
    - modify the OEM_CHANNEL_DESCRIPTOR path (LP: #1095823)

 -- Brian Murray <brian@ubuntu.com>  Fri, 25 Jan 2013 07:44:14 -0800

software-center (5.4.1.3) quantal-proposed; urgency=low

  * lp:~mvo/software-center/fix-for-unusual-deb-lp1067634:
    - fix crash in deb packages without a description (LP: #1067634)
  * lp:~mvo/software-center/lp1009967:
    - fix the "top rated" display to match the spec by also showing
      the already installed items  (LP: #1009967)
  * lp:~mvo/software-center/recoverable-errors-lp1051829:
    - send a custom duplicate signature so that the recoverable errors
      on transaction failures are broken down by error_code instead
      of all put into the same bucket (LP: #1051829)
  * lp:~mvo/software-center/5.4-fix-threading
    - Properly init threads now that the pygobject crash is fixed.
      This will fix the slow and unreliable submit of reviews
      (LP: #1083694)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 Nov 2012 09:31:41 +0100

=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
          gir1.2-gtk-3.0,
          gir1.2-gmenu-3.0 (>= 3.1.5),
          gir1.2-webkit-3.0,
-         python-gi,
+         python-gi (>= 3.4.0-1ubuntu0.1),
          python-gi-cairo,
          python-xapian,
          python-apt (>= 0.8.3ubuntu4),

=== debian/tests/control ===
Tests: run-tests
Depends: @, xvfb, python-coverage, python-mock, python3-aptdaemon.test, python-qt4, python-unittest2, python-lxml, pep8, pyflakes, iputils-ping, language-pack-en, gawk, update-manager, gnome-menus, curl

## software-center 5.5.4

=== debian/changelog ===
software-center (5.5.4) raring; urgency=low

  [ Barry Warsaw ]
  * lp:~barry/software-center/lp1100408:
    - debian/control: Update Depends for new oneconf packaging.

  [ Brian Murray ]
  * software-center/paths.py:
    - modify the OEM_CHANNEL_DESCRIPTOR path (LP: #1095823)

 -- Brian Murray <brian@ubuntu.com>  Thu, 24 Jan 2013 16:11:07 -0800

software-center (5.5.3) raring; urgency=low

  * lp:~mvo/software-center/pep8-e125:
    - more pep8 fixes with the rarning pep8 release (issue E125)
  * lp:~mvo/software-center/support-size-from-agent:
    - Support showing the download size if the software-center-agent 
      provides it
  * lp:~mvo/software-center/fix-removal-warning-metapackages:
    - Fixes a missing warning when a metapackage like "ubuntu-desktop"
      is marked for removal directly
  * lp:~mvo/software-center/webapps-activation:
    - add support to activate webapps automatically on install

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Dec 2012 09:30:13 +0100

software-center (5.5.2.2) raring; urgency=low

  * tests/test_testutils.py, tests/utils.py,
    softwarecenter/backend/installbackend_impl/aptd.py:
    - make start_stop_dummy_backend more robust and improve associated
      test (fixes remaining ADT i386 failure)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 Dec 2012 09:38:23 +0100

software-center (5.5.2.1) raring; urgency=low

  * lp:~mvo/software-center/lp1081691:
    - add set X-Unity-IconBackgroundColor=#ffbf87 (LP: #1081691)
  * lp:~mvo/software-center/add-missing-dependency-lp888401:
    - add missing dependency on gvfs-backends to get working 
      screenshots support (LP: #888401) on systems like kubuntu
  * fix tests in the ADT environment, works fully now in my VM

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 13 Dec 2012 21:05:58 +0100

software-center (5.5.2) raring; urgency=low

  * lp:~mvo/software-center/fix-pygobject-deprecation-warnings:
    - fix deprecation warninings with the latest python-gi
  * lp:~mvo/software-center/minor-logging-fixes:
    - drop some LOG.info() messages to LOG.debug() to spam the user
      less
  * lp:~mvo/software-center/trivial-close-ui-tweak:
    - hide the main window immediately when closing down
  * lp:~mvo/software-center/5.4-fix-save-person-to-config:
    - This branch ensures that the "username" is saved everytime
      that the ubuntu sso whoami call is done
  * lp:~mvo/software-center/use-dpkg-builddeps:
    - use dpkg-checkbuilddeps to find test-dependencies
  * lp:~mvo/software-center/update-sc-cmdline-flexibility:
    - update-software-center-agent: 
      + add --target-db-path commandline
    - update-software-center: 
      + add --app-install-desktop-dir and --target-db-path commandline
  * lp:~mvo/software-center/raring-pep8:
    - fixes for new pep8

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 06 Dec 2012 17:30:50 +0100

software-center (5.5.1.1) raring; urgency=low

  * Fix FTBFS in the clean target by build-depending on python-dbus,
    python-aptdaemon, python-gi, python-xapian, and python-xdg.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 28 Nov 2012 19:08:21 -0700

software-center (5.5.1) raring; urgency=low

  [ Michael Vogt ]
  * rename "addons" to "optional addons"
  * lp:~mvo/software-center/ensure-latest-distroseries:
    - add missing "raring" to DISTROSERIES and ensure that
      it FTBFS if the current codename is missing
  * merge lp:software-center/5.4 to get fix for LP: #1083694

  [ Robert Roth ]
  * lp:~evfool/software-center/lp934414:
    - Added 'Apps' keyword to the software center desktop file for 
      easier finding in dash/gnome shell/etc. (LP: #934414)
  * lp:~evfool/software-center/lp635101:
    - Updated the broken cache dialog's primary text to match the spec
      (LP: #635101)
  * lp:~evfool/software-center/lp668382:
    - the removal warning text for core items in ubuntu 
       (to match the wiki spec [1])
    - fixed the logic to correctly work with important metapackages
    (LP: #668382)
  
  [ Jesse van Herk ]
  * lp:~jesse-imaginaryrobots/software-center/software-center:
    - Many typo fixes, almost all in comments and log strings
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 Nov 2012 11:31:38 +0100

software-center (5.5.0) raring; urgency=low

  [ Andrew Hayzen ]
  * lp:~andrew-hayzen/software-center/accelerator-fix-lp744655:
    - fixes missing accelerator for a11y (LP: #744655)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Nov 2012 13:56:26 +0100

software-center (5.4.1.3) UNRELEASED; urgency=low

  * lp:~mvo/software-center/fix-for-unusual-deb-lp1067634:
    - fix crash in deb packages without a description (LP: #1067634)
  * lp:~mvo/software-center/lp1009967:
    - fix the "top rated" display to match the spec by also showing
      the already installed items  (LP: #1009967)
  * lp:~mvo/software-center/recoverable-errors-lp1051829:
    - send a custom duplicate signature so that the recoverable errors
      on transaction failures are broken down by error_code instead
      of all put into the same bucket (LP: #1051829)
  * lp:~mvo/software-center/5.4-fix-threading
    - Properly init threads now that the pygobject crash is fixed.
      This will fix the slow and unreliable submit of reviews
      (LP: #1083694)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 18 Oct 2012 10:34:38 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,15 @@
                intltool,
                po4a,
                python,
+               python-debian,
+               python-aptdaemon,
+               python-dbus,
                python-distutils-extra,
+               python-gi,
                python-setuptools,
-               python-scour
+               python-scour,
+               python-xapian,
+               python-xdg
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.7
 Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/trunk
@@ -31,6 +37,7 @@
          gir1.2-gtk-3.0,
          gir1.2-gmenu-3.0 (>= 3.1.5),
          gir1.2-webkit-3.0,
+         gvfs-backends,
          python-gi (>= 3.4.0-1ubuntu0.1),
          python-gi-cairo,
          python-xapian,
@@ -45,7 +52,7 @@
          python-xdg,
          ubuntu-sso-client,
          python-piston-mini-client (>= 0.1+bzr29),
-         oneconf (>= 0.2.6),
+         python-oneconf (>= 0.3),
          python-debtagshw,
          ubuntu-extras-keyring
 Recommends: lsb-release, 
@@ -54,7 +61,7 @@
             software-properties-gtk,
             sessioninstaller, 
             xz-utils (>= 5.1.1alpha+20120614-1)
-Conflicts: gnome-app-install (<< 1), oneconf (<< 0.2.6.1)
+Conflicts: gnome-app-install (<< 1)
 Replaces: gnome-app-install
 Provides: gnome-app-install
 Description: Utility for browsing, installing, and removing software

## software-center 5.6.0

=== debian/changelog ===
software-center (5.6.0-0ubuntu2) raring; urgency=low

  * debian/patches/00_bzr-typerror-remove-menuitem.patch:
    - Avoid TypeError caused by external bug, by removing the Cut
      menu item from the main menu, and making the Copy item not
      used for the search entry. (LP: #1151621)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Mon, 08 Apr 2013 15:04:00 -0400

software-center (5.6.0-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 27 Mar 2013 15:51:28 -0400

software-center (5.5.6-0ubuntu2) raring; urgency=low

  * debian/patches/00_bzr-run-tests-setup.patch:
    - Run setup.py build before the tests get run; clean after. (LP: #1158290)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 22 Mar 2013 09:48:37 -0400

software-center (5.5.6-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Remove "foo" tooltip from account login/creation dialogs. (LP: #1076189)
    - Add new icons from design team. (LP: #1081691)
    - Remove extra .desktop file that we don't need. (LP: #1153548)
  * debian/rules:
    - Remove complicated unbranding rule.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 20 Mar 2013 15:52:01 -0400

software-center (5.5.5-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Fix handling of whitelisted applications. (LP: #1112774)
    - Use correct API signatures for old and new python-gi. (LP: #1093970)
    - Fix missing GLib import. (LP: #1095117)
    - Transition away from being a native package.
  * debian/control:
    - Fix the oneconf dependency to work correctly with old and new oneconf.
    - Update the Maintainer field.
    - Update standards version to 3.9.4.
  * debian/source/format:
    - Convert to source format 3.0 (quilt).
  * debian/watch:
    - Add a watch file for new releases.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 01 Mar 2013 14:48:53 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: software-center
 Section: gnome
 Priority: optional
-Maintainer: Michael Vogt <mvo@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50),
                dpkg-dev (>= 1.15.1~),
                lsb-release,
@@ -18,9 +18,8 @@
                python-scour,
                python-xapian,
                python-xdg
-Standards-Version: 3.8.4
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.7
-Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/trunk
 Homepage: https://launchpad.net/software-center
 XS-Testsuite: autopkgtest
 
@@ -52,7 +51,8 @@
          python-xdg,
          ubuntu-sso-client,
          python-piston-mini-client (>= 0.1+bzr29),
-         python-oneconf (>= 0.3),
+         oneconf (>= 0.2.6),
+         python-oneconf (>= 0.3) | oneconf (<< 0.3),
          python-debtagshw,
          ubuntu-extras-keyring
 Recommends: lsb-release,

=== debian/tests/control ===
Tests: run-tests
Depends: @, xvfb, python-coverage, python-mock, python3-aptdaemon.test, python-qt4, python-unittest2, python-lxml, pep8, pyflakes, iputils-ping, language-pack-en, language-pack-de, gawk, update-manager, gnome-menus, curl

=== debian/watch ===
version=3
https://launchpad.net/software-center/stable-5-6  .*/software-center-([0-9.]+)\.tar\.gz

## software-center 13.10

=== tests/Makefile ===
#!/usr/bin/make

all: check #mago_test

check:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	xvfb-run ./test-all.sh
endif

clean:
	find  ../data/xapian/ ./data/test.db/ -type f | xargs rm -f
	rm -rf ./data/aptroot/var/
	rm -f .coverage*
	rm -rf coverage_html
	rm -rf output


# mago tests
mago_test:
	# -sv makes mago not buffer output
	PYTHONPATH=.. mago -sv mago/mago_simple.py

=== debian/changelog ===
software-center (13.10-0ubuntu4) trusty; urgency=low

  [ Robert Ancell ]
  * debian/patches/04_bzr_r3322_lp1281317.patch
    - merge upstream rev3322 to fix LP: #1281317
  
  [ Michael Vogt ]
  * debian/patches/05_lp225885.patch:
    - cherry pick  lp:~mvo/software-center/lp1225885 to fix LP: #1225885

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 10 Apr 2014 18:21:54 +0200

software-center (13.10-0ubuntu3) trusty; urgency=medium

  * debian/patches/03_bzr-save-settings.patch:
    - Fix parent object initialization chaining. (LP: #1244493)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 21 Mar 2014 14:06:18 -0400

software-center (13.10-0ubuntu2) trusty; urgency=low

  * debian/patches/01_bzr-typeerror.patch:
    - Avoid creating a launcher without .desktop files. (LP: #1227277)
  * debian/patches/02_bzr-drop-distroseries.patch:
    - Drop the use of DISTROSERIES. (LP: #1254892)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 26 Nov 2013 10:16:14 -0500

software-center (13.10-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches/00_bzr-no-network-local-debs.patch:
    - Don't require network for installing local debs. (LP: #926763)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 08 Oct 2013 16:03:35 -0400

software-center (13.09-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Improved integration with Unity launcher.
    - Use "Ubuntu One" authorization rather than separate token.
    - Fix warnings about old style classes.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 17 Sep 2013 14:56:13 -0400

software-center (13.08-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches:
    - Remove upstreamed patches.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 07 Aug 2013 14:57:08 -0400

software-center (13.07-0ubuntu4) saucy; urgency=low

  * debian/control, debian/tests:
    - Remove the autopkgtests as they have never worked, and are
      very broken. We might add them back later.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 18 Jul 2013 09:50:31 -0400

software-center (13.07-0ubuntu3) saucy; urgency=low

  * debian/patches/02_bzr-more-test-fixes.patch:
    - Remove another test that requires network.
    - Fix the pyflakes test to use specific sub-directories.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 17 Jul 2013 11:41:25 -0400

software-center (13.07-0ubuntu2) saucy; urgency=low

  * debian/patches/01_bzr-test-fixes.patch:
    - Remove the bad tests files instead of renaming them.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 16 Jul 2013 14:11:34 -0400

software-center (13.07-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Use proper __init__ of parent hierarchy call. (LP: #1198822)
  * debian/patches/01_bzr-fix-tests.patch:
    - Include patch from upstream to fix some more tests.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 12 Jul 2013 16:40:52 -0400

software-center (13.05-0ubuntu3) UNRELEASED; urgency=low

  * Test fixes:
    - Add missing test Depends: sudo, python-distutils-extra, apt-xapian-index
    - Set XDG_CACHE_HOME to a writable directory ($ADTTMP)
    - Add restrictions: rw-build-dir since the test runner creates files
    - Disable a few failing tests
    - Appease pyflakes
  * Drop patch in this upstream release. 

 -- Iain Lane <iain.lane@canonical.com>  Tue, 09 Jul 2013 11:54:43 +0100

software-center (13.05-0ubuntu2) saucy; urgency=low

  * debian/patches/01_bzr-fix-1038429.patch:
    - Don't use MI, and use super to call the parent __init__. (LP: #1038429)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 05 Jul 2013 17:39:12 -0400

software-center (13.05-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches:
    - Remove patch files which are included upstream.
  * debian/watch:
    - Update watch file for new series.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 05 Jun 2013 16:26:46 -0400

software-center (5.6.0-0ubuntu4) saucy; urgency=low

  * debian/patches/saucy-known-series.patch: Add new patch to know about
    (Ubuntu) 'saucy', fixing FTBFS. 

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 01 May 2013 18:52:16 +0100

software-center (5.6.0-0ubuntu3) raring-proposed; urgency=low

  * debian/software-center.postinst:
    - Only run update-software-center if python-aptdaemon is configured,
      to avoid crashing on upgrade, and to work around Debian 671711.
      (LP: #1173249)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 26 Apr 2013 14:11:50 -0400

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
 Standards-Version: 3.9.4
 X-Python-Version: >= 2.7
 Homepage: https://launchpad.net/software-center
-XS-Testsuite: autopkgtest
 
 Package: software-center
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
share:=usr/share/software-center

%:
	dh $@ --with=python2,scour

# Install the modules in a private directory, as our applications are the
# only ones using them.
override_dh_auto_install:
	dh_auto_install -- --install-lib /usr/share/software-center
	rm -r debian/software-center/usr/share/software-center/*.egg-info
	# Move the scripts to $(SHARE) and relink them again later.
	mv debian/software-center/usr/*bin/* debian/software-center/$(share)
	rmdir debian/software-center/usr/*bin


override_dh_install:
	dh_install --fail-missing
	dh_installmime -i
	dh_link $(share)/software-center usr/bin/software-center \
	        $(share)/update-software-center usr/sbin/update-software-center

	# Remove empty directories.
	find debian/*/usr -type d -empty -delete

.PHONY: override_dh_auto_install
